Missing php-mapi-webinfo

Hi,

I’m trying to install Z-push (latest version) on a CentOS 7 system (php 5.4), and it looks like the php-mapi-webapp is missing:
Error: Package: z-push-backend-kopano-2.4.0+0-95.1.noarch (z-push)
Requires: php-mapi-webapp

After a couple of days searching for information about this, I thought maybe I can find some help here.
Although I found some information, links for download were broken, and the information was incomplete.

Anyone can help ? Where can I find this missing dependency ?

Thanks,
Marius.

Hi Marius,

php-mapi-webapp ist part of Kopano Core and available in its repositories. So, you also have to add that. More information is available at https://wiki.z-hub.io/display/ZP/Installation (with links where php-mapi packages are available), https://kb.kopano.io/display/WIKI/Install+Kopano+Core+and+Kopano+Webapp+on+RHEL+or+CentOS+6+and+7+with+Software+Collections+for+PHP+support and https://documentation.kopano.io/kopanocore_administrator_manual/installing.html#installing-kopano-core-through-the-kopano-package-repositories (packages names may differ depending on the distribution).

Manfred

Thanks a lot Manfred!
After hundred of searches I made, your answer was the only one who mentioned the simple thing - that php-mapi-webapp is a part of the Kopano Core.

Issue solved!

Marius.

You’re welcome. Glad to hear it helped you to figure out the issue.

Manfred